> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintactivitytype

> This SoList provider generates the appointment/task type list for the Saint criteria. This is a simple, hard-coded list corresponding to the type field of the <see cref="!:SuperOffice.CRM.Rows.DocTmpl" /> and <see cref="!:SuperOffice.CRM.Rows.Task" /> tables. Tasks are both appointments and documents.

## "saintactivitytype" MDO List

This SoList provider generates the appointment/task type list for the Saint criteria. This is a simple, hard-coded list corresponding
to the type field of the <see cref="!:SuperOffice.CRM.Rows.DocTmpl" /> and <see cref="!:SuperOffice.CRM.Rows.Task" /> tables. Tasks are both
appointments and documents.

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintActivityTypeProvider">SaintActivityTypeProvider</see> class.
The name of the MDO list is 'saintactivitytype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintactivitytype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintactivitytype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name       | StyleHint | ExtraInfo |
| -- | ---------- | --------- | --------- |
| -1 | All        |           |           |
| 1  | Meeting    |           |           |
| 5  | Follow-up  |           |           |
| 6  | To-do      |           |           |
| 2  | Document   |           |           |
| 4  | Fax        |           |           |
| 3  | E-mail     |           |           |
| 8  | Mail merge |           |           |

## Related MDO Lists

* "saintactivitytypeheadings"
* "saintactivitytypeheadingswithallitem"
* "saintactivitytypeheadingswithallitemwithnoselection"
* "saintactivitytypeheadingswithnoselection"
* "saintactivitytypewithallitem"
* "saintactivitytypewithallitemwithnoselection"
* "saintactivitytypewithnoselection"


## Related topics

- [PersonProjects](/en/api/archive-providers/reference/personprojects.md)
- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
- [Contact](/en/api/archive-providers/reference/contact.md)
- [SimpleContact](/en/api/archive-providers/reference/simplecontact.md)
- [FreetextContact](/en/api/archive-providers/reference/freetextcontact.md)
